# Configuration

## 1. Adjust config.lua to your server core

{% tabs %}
{% tab title="ESX" %}

1. Adjusting the script to your server core

```lua
Config.Core = "ESX"
Config.CoreExport = function()
    return exports['es_extended']:getSharedObject()
end
```

2. Adjusting the PlayerLoaded trigger from server core to the script

```lua
Config.PlayerLoaded = "esx:playerLoaded"
```

3. Adjusting the PlayerLogout trigger from server core to the script

```lua
Config.PlayerLogout = "esx:playerLogout"
```

4. Adjusting the PlayerSetJob trigger from server core to the script

```lua
Config.PlayerSetJob = "esx:setJob"
```

5. Adjusting the PlayerSetJob2 (gang) trigger from server core to the script

{% hint style="warning" %}
`"esx:setJob2"` is custom trigger, does not exist in default ESX
{% endhint %}

```lua
Config.PlayerSetGang = "esx:setJob2"
```

6. SkinManagers compatibile for ESX: `"esx_skin"` / `"fivem-appearance"` / `"illenium-appearance"`

```lua
Config.SkinManager = "esx_skin"
```

7. Menus compatibile for ESX: `"esx_menu_default"` / `"esx_context"` / `"ox_lib"`

```lua
Config.Menu = 'esx_context'
Config.ESXMenuAlign = 'right'
```

8. Menus compatibile for ESX: `"esx_menu_default"` / `"esx_context"` / `"ox_lib"`

```lua
Config.FastMenuMenu = 'esx_menu_default'
Config.ESXFastMenuAlign = 'right'
```

9. For ESX inventory: `'limit'` / `'weight'`

```lua
Config.ESXInventoryCarry = 'weight'
```

10. Society compatibile: `"esx_society"` or your own so, set it 'other' and change in the config.client.lua (**CL.OpenSociety()**)

```lua
Config.Society = 'esx_society'
```

11. Storages compatibile: `"vms_jobs"` / `"esx_addoninventory"` / `"qs"` or your own so, set it `'other'` and change in the config.client.lua (**CL.OpenStorage()**)

```lua
Config.Storage = 'vms_jobs'
```

12. When a player leaves the server while in an interior with a routing bucket, upon reconnecting to the server, they will be teleported to that interior along with loading the virtual world they were in.

```lua
Config.UseSaveLastInterior = true
```

13. Do you want to use fast menu under button

```lua
Config.UseFastMenu = true
Config.FastMenuKey = 'f6'
Config.FastMenuCommand = '+f6'
```

{% endtab %}

{% tab title="QB-Core" %}

1. Adjusting the script to your server core

```lua
Config.Core = "QB-Core"
Config.CoreExport = function()
    return exports['qb-core']:GetCoreObject()
end
```

2. Adjusting the PlayerLoaded trigger from server core to the script

```lua
Config.PlayerLoaded = "QBCore:Client:OnPlayerLoaded"
```

3. Adjusting the PlayerLogout trigger from server core to the script

```lua
Config.PlayerLogout = "QBCore:Client:OnPlayerUnload"
```

4. Adjusting the PlayerSetJob trigger from server core to the script

```lua
Config.PlayerSetJob = "QBCore:Client:OnJobUpdate"
```

5. Adjusting the PlayerSetGang trigger from server core to the script

```lua
Config.PlayerSetGang = "QBCore:Client:OnGangUpdate"
```

6. SkinManagers compatibile for QB-Core: `"qb-clothing"` / `"fivem-appearance"` / `"illenium-appearance"`

```lua
Config.SkinManager = "qb-clothing"
```

7. Menus compatibile for QB-Core: `"qb-menu"` / `"ox_lib"`

```lua
Config.Menu = 'qb-menu'
```

8. Menus compatibile for QB-Core: `"qb-menu"` / `"ox_lib"`

```lua
Config.FastMenuMenu = 'qb-menu'
```

9. Society compatibile: `"qb-management"` or your own so, set it 'other' and change in the config.client.lua (**CL.OpenSociety()**)

```lua
Config.Society = 'qb-management'
```

10. Storages compatibile: `"vms_jobs"` / `"qb"` / `"qs"` or your own so, set it `'other'` and change in the config.client.lua (**CL.OpenStorage()**)

```lua
Config.Storage = 'vms_jobs'
Config.StorageOptions = { -- for Config.Storage = 'qb'
    maxweight = 50000,
    slots = 90,
}
```

11. When a player leaves the server while in an interior with a routing bucket, upon reconnecting to the server, they will be teleported to that interior along with loading the virtual world they were in.

```lua
Config.UseSaveLastInterior = true
```

12. Do you want to use fast menu under button

```lua
Config.UseFastMenu = true
Config.FastMenuKey = 'f6'
Config.FastMenuCommand = '+f6'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/outdated/vms_jobs/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
